bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

coreutils 7.3


From: Russell Whitaker
Subject: coreutils 7.3
Date: Sat, 2 May 2009 19:58:50 -0700 (PDT)
User-agent: Alpine 2.00 (LNX 1167 2008-08-23)


gcc is 4.4.0
1 of 13 failed.
log:
=============================================
GNU coreutils 7.3: tests/test-suite.log =============================================

1 of 13 tests failed.  (6 tests were not run).

.. contents:: :depth: 2


SKIP: cp/cp-a-selinux (exit: 77)
================================

+ cp --version
cp (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/russ/src/coreutils-7.3/tests
+++ this_test_
+++ echo ././cp/cp-a-selinux
+++ sed 's,.*/,,'
++ this_test=cp-a-selinux
+++ /home/russ/src/coreutils-7.3/src/mktemp -d 
--tmp=/home/russ/src/coreutils-7.3/tests cu-cp-a-selinux.XXXXXXXXXX
++ t_=/home/russ/src/coreutils-7.3/tests/cu-cp-a-selinux.GU3B9Ng1wG
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/russ/src/coreutils-7.3/tests/cu-cp-a-selinux.GU3B9Ng1wG
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=russ
+ require_selinux_
+ case `ls -Zd .` in
++ ls -Zd .
+ skip_test_ 'this system (or maybe just' 'the current file system) lacks 
SELinux support'
+ echo './cp/cp-a-selinux: skipping test: this system (or maybe just' 'the 
current file system) lacks SELinux support'
+ head -1
+ echo './cp/cp-a-selinux: skipping test: this system (or maybe just' 'the 
current file system) lacks SELinux support'
./cp/cp-a-selinux: skipping test: this system (or maybe just the current file 
system) lacks SELinux support
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /home/russ/src/coreutils-7.3/tests
+ chmod -R u+rwx /home/russ/src/coreutils-7.3/tests/cu-cp-a-selinux.GU3B9Ng1wG
+ rm -rf /home/russ/src/coreutils-7.3/tests/cu-cp-a-selinux.GU3B9Ng1wG
+ exit 77

FAIL: cp/cp-mv-enotsup-xattr (exit: 1)
======================================

+ cp --version
cp (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ mv --version
mv (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/russ/src/coreutils-7.3/tests
+++ this_test_
+++ echo ././cp/cp-mv-enotsup-xattr
+++ sed 's,.*/,,'
++ this_test=cp-mv-enotsup-xattr
+++ /home/russ/src/coreutils-7.3/src/mktemp -d 
--tmp=/home/russ/src/coreutils-7.3/tests cu-cp-mv-enotsup-xattr.XXXXXXXXXX
++ t_=/home/russ/src/coreutils-7.3/tests/cu-cp-mv-enotsup-xattr.bB2gqxmr9Q
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/russ/src/coreutils-7.3/tests/cu-cp-mv-enotsup-xattr.bB2gqxmr9Q
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=russ
++ pwd
+ cwd=/home/russ/src/coreutils-7.3/tests/cu-cp-mv-enotsup-xattr.bB2gqxmr9Q
+ dd if=/dev/zero of=blob bs=8192 count=200
+ mkdir mnt
+ mkfs -t ext2 -F blob
mke2fs 1.41.3 (12-Oct-2008)
Filesystem label=
OS type: Linux
Block size=1024 (log=0)
Fragment size=1024 (log=0)
200 inodes, 1600 blocks
80 blocks (5.00%) reserved for the super user
First data block=1
Maximum filesystem blocks=1835008
1 block group
8192 blocks per group, 8192 fragments per group
200 inodes per group

Writing inode tables: 0/1done Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 36 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
+ mount -oloop,nouser_xattr blob mnt
mount: unknown filesystem type 'ext2'
+ framework_failure
+ error_ 'failure in testing framework'
+ echo './cp/cp-mv-enotsup-xattr: failure in testing framework'
./cp/cp-mv-enotsup-xattr: failure in testing framework
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ cd /
+ umount 
/home/russ/src/coreutils-7.3/tests/cu-cp-mv-enotsup-xattr.bB2gqxmr9Q/mnt
umount: 
/home/russ/src/coreutils-7.3/tests/cu-cp-mv-enotsup-xattr.bB2gqxmr9Q/mnt: not 
mounted
+ cd /home/russ/src/coreutils-7.3/tests
+ chmod -R u+rwx 
/home/russ/src/coreutils-7.3/tests/cu-cp-mv-enotsup-xattr.bB2gqxmr9Q
+ rm -rf /home/russ/src/coreutils-7.3/tests/cu-cp-mv-enotsup-xattr.bB2gqxmr9Q
+ exit 1

SKIP: ls/capability (exit: 77)
==============================

+ ls --version
ls (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/russ/src/coreutils-7.3/tests
+++ this_test_
+++ echo ././ls/capability
+++ sed 's,.*/,,'
++ this_test=capability
+++ /home/russ/src/coreutils-7.3/src/mktemp -d 
--tmp=/home/russ/src/coreutils-7.3/tests cu-capability.XXXXXXXXXX
++ t_=/home/russ/src/coreutils-7.3/tests/cu-capability.rETOrEBJfI
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/russ/src/coreutils-7.3/tests/cu-capability.rETOrEBJfI
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=russ
+ grep '^#define HAVE_CAP 1$' /home/russ/src/coreutils-7.3/lib/config.h
+ grep 'usage: setcap'
+ fail=0
+ umask 22
+ touch test
+ setcap cap_net_bind_service=ep test
Failed to set capabilities on file `test' (Operation not supported)
usage: setcap [-q] [-v] (-r|-|<caps>) <filename> [ ... (-r|-|<capsN>) 
<filenameN> ]

 Note <filename> must be a regular (non-symlink) file.
+ skip_test_ 'setcap doesn'\''t work'
+ echo './ls/capability: skipping test: setcap doesn'\''t work'
+ head -1
+ echo './ls/capability: skipping test: setcap doesn'\''t work'
./ls/capability: skipping test: setcap doesn't work
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /home/russ/src/coreutils-7.3/tests
+ chmod -R u+rwx /home/russ/src/coreutils-7.3/tests/cu-capability.rETOrEBJfI
+ rm -rf /home/russ/src/coreutils-7.3/tests/cu-capability.rETOrEBJfI
+ exit 77

SKIP: misc/chcon (exit: 77)
===========================

+ chcon --version
chcon (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/russ/src/coreutils-7.3/tests
+++ this_test_
+++ echo ././misc/chcon
+++ sed 's,.*/,,'
++ this_test=chcon
+++ /home/russ/src/coreutils-7.3/src/mktemp -d 
--tmp=/home/russ/src/coreutils-7.3/tests cu-chcon.XXXXXXXXXX
++ t_=/home/russ/src/coreutils-7.3/tests/cu-chcon.d8vZtGsdO5
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/russ/src/coreutils-7.3/tests/cu-chcon.d8vZtGsdO5
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=russ
+ require_selinux_
+ case `ls -Zd .` in
++ ls -Zd .
+ skip_test_ 'this system (or maybe just' 'the current file system) lacks 
SELinux support'
+ echo './misc/chcon: skipping test: this system (or maybe just' 'the current 
file system) lacks SELinux support'
+ head -1
+ echo './misc/chcon: skipping test: this system (or maybe just' 'the current 
file system) lacks SELinux support'
./misc/chcon: skipping test: this system (or maybe just the current file 
system) lacks SELinux support
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /home/russ/src/coreutils-7.3/tests
+ chmod -R u+rwx /home/russ/src/coreutils-7.3/tests/cu-chcon.d8vZtGsdO5
+ rm -rf /home/russ/src/coreutils-7.3/tests/cu-chcon.d8vZtGsdO5
+ exit 77

SKIP: misc/selinux (exit: 77)
=============================

+ chcon --version
chcon (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ cp --version
cp (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ ls --version
ls (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ mv --version
mv (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ stat --version
stat (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Michael Meskes.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/russ/src/coreutils-7.3/tests
+++ this_test_
+++ echo ././misc/selinux
+++ sed 's,.*/,,'
++ this_test=selinux
+++ /home/russ/src/coreutils-7.3/src/mktemp -d 
--tmp=/home/russ/src/coreutils-7.3/tests cu-selinux.XXXXXXXXXX
++ t_=/home/russ/src/coreutils-7.3/tests/cu-selinux.kiox10aPqM
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/russ/src/coreutils-7.3/tests/cu-selinux.kiox10aPqM
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=russ
+ require_selinux_
+ case `ls -Zd .` in
++ ls -Zd .
+ skip_test_ 'this system (or maybe just' 'the current file system) lacks 
SELinux support'
+ echo './misc/selinux: skipping test: this system (or maybe just' 'the current 
file system) lacks SELinux support'
+ head -1
+ echo './misc/selinux: skipping test: this system (or maybe just' 'the current 
file system) lacks SELinux support'
./misc/selinux: skipping test: this system (or maybe just the current file 
system) lacks SELinux support
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /home/russ/src/coreutils-7.3/tests
+ chmod -R u+rwx /home/russ/src/coreutils-7.3/tests/cu-selinux.kiox10aPqM
+ rm -rf /home/russ/src/coreutils-7.3/tests/cu-selinux.kiox10aPqM
+ exit 77

SKIP: mkdir/writable-under-readonly (exit: 77)
==============================================

+ mkdir --version
mkdir (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/russ/src/coreutils-7.3/tests
+++ this_test_
+++ echo ././mkdir/writable-under-readonly
+++ sed 's,.*/,,'
++ this_test=writable-under-readonly
+++ /home/russ/src/coreutils-7.3/src/mktemp -d 
--tmp=/home/russ/src/coreutils-7.3/tests cu-writable-under-readonly.XXXXXXXXXX
++ t_=/home/russ/src/coreutils-7.3/tests/cu-writable-under-readonly.N7aW0A8S7z
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/russ/src/coreutils-7.3/tests/cu-writable-under-readonly.N7aW0A8S7z
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=russ
+ skip_test_ temporarily disabled
+ echo './mkdir/writable-under-readonly: skipping test: temporarily' disabled
+ head -1
+ echo './mkdir/writable-under-readonly: skipping test: temporarily' disabled
./mkdir/writable-under-readonly: skipping test: temporarily disabled
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /home/russ/src/coreutils-7.3/tests
+ chmod -R u+rwx 
/home/russ/src/coreutils-7.3/tests/cu-writable-under-readonly.N7aW0A8S7z
+ rm -rf 
/home/russ/src/coreutils-7.3/tests/cu-writable-under-readonly.N7aW0A8S7z
+ exit 77

SKIP: tail-2/append-only (exit: 77)
===================================

+ tail --version
tail (GNU coreutils) 7.3
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/russ/src/coreutils-7.3/tests
+++ this_test_
+++ echo ././tail-2/append-only
+++ sed 's,.*/,,'
++ this_test=append-only
+++ /home/russ/src/coreutils-7.3/src/mktemp -d 
--tmp=/home/russ/src/coreutils-7.3/tests cu-append-only.XXXXXXXXXX
++ t_=/home/russ/src/coreutils-7.3/tests/cu-append-only.5cm1Ol7S36
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/russ/src/coreutils-7.3/tests/cu-append-only.5cm1Ol7S36
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=russ
+ chattr_a_works=1
+ touch f
+ chattr +a f
+ chattr_a_works=0
+ chattr_a_works=0
+ echo x
+ test 0 = 0
+ skip_test_ 'chattr +a doesn'\''t work on this file system'
+ echo './tail-2/append-only: skipping test: chattr +a doesn'\''t work on this 
file system'
+ head -1
+ echo './tail-2/append-only: skipping test: chattr +a doesn'\''t work on this 
file system'
./tail-2/append-only: skipping test: chattr +a doesn't work on this file system
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /home/russ/src/coreutils-7.3/tests
+ chmod -R u+rwx /home/russ/src/coreutils-7.3/tests/cu-append-only.5cm1Ol7S36
+ rm -rf /home/russ/src/coreutils-7.3/tests/cu-append-only.5cm1Ol7S36
+ exit 77




reply via email to

[Prev in Thread] Current Thread [Next in Thread]